#ifndef APCI3600DEF_H_
#define APCI3600DEF_H_

/* contains file descriptors for systems */
struct apci3600_card_t
{
	int base; /* functions general to the board */
	int analog_output_0; 
	int analog_output_1;
	int analog_input_0;
	int analog_input_1;
	int analog_input_2;
	int analog_input_3;
	int chrono_0;
	int chrono_1;
	int chrono_2;
	int chrono_3;
	int digital_input;
	int digital_output;
	int external_trigger;
};

static inline int apci3600_get_analog_input_module(struct apci3600_card_t *card,int index)
{
	switch(index)
	{
		case 0:
			return card->analog_input_0;
		case 1:
			return card->analog_input_1;
		case 2:
			return card->analog_input_2;
		case 3:
			return card->analog_input_3;
		default:
			return -1;
	} 
}


#endif /*APCI3600DEF_H_*/
